2014-02-18 tsawada2 <tsawada2@users.sourceforge.jp>
	* application/subproj/reply/connector/p22chConnector.m
		p2.2ch.net 経由の書き込みで「クッキー確認」が表示された場合、書き込み中の「>」や「<」「&」などの
		文字が「&gt;」「&lt;」「&amp;」などに化けてしまう問題を修正。
2014-02-16 tsawada2 <tsawada2@users.sourceforge.jp>
	* application/subproj/preference/ja.lproj/AccountPreferences.xib
	* application/subproj/preference/ja.lproj/FilterPreferences.xib
	* application/subproj/preference/ja.lproj/GeneralPreferences.xib
	* application/subproj/preference/ja.lproj/LinkPreferences.xib
	* application/subproj/preference/ja.lproj/ReplyPreferences.xib
	* application/subproj/preference/ja.lproj/ThemeEditor.xib
	* application/subproj/preference/ja.lproj/ViewPreferences.xib
		環境設定パネルの一部のテキストフィールドのフォント指定の誤りを修正。また、テキストが見切れないよう修正。
	* application/Resources/ja.lproj/InfoPlist.strings
	* LICENSE
		2014年にした。
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
		-[NSLayoutManager setUsesScreenFonts:YES] にして AA がズレる問題を解決。
		（これまでは何も指定しないと YES になっていたが、10.8SDKから何も指定しないと NO になるように変わったので
		問題が起きていた）。
	* application/source/window/CMRStatusLineWindowController.m
		ベタ書きしていた値を定数に改めた。
================================================= 2.4.1(v595) / Kazusa-Kameyama / svn Tag : v241_FINAL
2013-12-23 tsawada2 <tsawada2@users.sourceforge.jp>
	* application/Resources/ja.lproj/BathyScapheHelp/gfx/2pane@2x.png
	* application/Resources/ja.lproj/BathyScapheHelp/gfx/3pane_h@2x.png
	* application/Resources/ja.lproj/BathyScapheHelp/gfx/3pane_v@2x.png
		ヘルプコンテンツのアップデート：画像のサイズを偶数値にしたものに差し替えた。
	* application/Resources/ja.lproj/BathyScapheHelp/gfx/orngbullet@2x.png
		[削除] ヘルプコンテンツの見直しに伴い、削除。
	* application/Resources/ja.lproj/BathyScapheHelp/pgs/read_continuation_dropped_thread.html
		[新規追加] ヘルプコンテンツの見直しに伴い、新規追加。
	* application/Resources/ja.lproj/BathyScapheHelp/BathyScapheHelp.helpindex
	* application/Resources/ja.lproj/BathyScapheHelp/BathyScapheHelp.html
	* application/Resources/ja.lproj/BathyScapheHelp/pgs/get_logfile_of_dropped_thread.html
	* application/Resources/ja.lproj/BathyScapheHelp/pgs/maru_login.html
	* application/Resources/ja.lproj/BathyScapheHelp/pgs/setting_account.html
	* application/Resources/ja.lproj/BathyScapheHelp/pgs/setting_minute_options.html
	* application/Resources/ja.lproj/BathyScapheHelp/pgs/sort_out_log_file.html
	* application/Resources/ja.lproj/BathyScapheHelp/pgs/when_no_thread_nor_board.html
	* application/Resources/ja.lproj/BathyScapheHelp/pgs2/first.html
	* application/Resources/ja.lproj/BathyScapheHelp/pgs2/trouble.html
	* application/Resources/ja.lproj/BathyScapheHelp/pgs2/whatsnew.html
	* application/Resources/ja.lproj/BathyScapheHelp/xpgs/xall.html
	* application/Resources/ja.lproj/BathyScapheHelp/sty/index.css
	* application/Resources/ja.lproj/BathyScapheHelp/sty/standard.css
	* application/Resources/ja.lproj/BathyScapheHelp/sty/top.css
		ヘルプコンテンツのアップデート。
2013-12-21 tsawada2 <tsawada2@users.sourceforge.jp>
	* application/Resources/ja.lproj/Downloader.strings
		メッセージ文言の見直し。
	* application/Resources/ja.lproj/board_default.plist
		最新の内容に更新。
	* application/source/CMRAppDelegate.m
	* application/source/manager/CMRMainMenuManager.m
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
	* application/source/thread/CMRThreadViewer.m
	* application/source/thread/CMRThreadViewer_p.h
		未使用のメソッド類を削除またはコメントアウト。
	* dat-qlgenerator/HTMLFormatter.cpp
	* frameworks/SGFoundation/framework/source/extensions/string/NSString+TEC.m
		ビルド警告への対処を実施。
=================================================
2013-12-15 tsawada2 <tsawada2@users.sourceforge.jp>
	* application/source/bbs/BoardManager.m
		したらばの掲示板の URL の末尾に「/」が付かないために、2013-12-14 の修正で入れた同一性の判定が効かないことがあった問題を修正。
	* application/Resources/ja.lproj/Downloader.strings
	* application/source/network/BSLoggedInDATDownloader.m
	* application/source/network/BSOfflaw2Downloader.m
		PINKちゃんねるでも offlaw2.so を使って過去ログの取得を試みるようにした。PINKちゃんねるで offlaw2.so を使用して過去ログが
		見つからなかった場合に、Rokka で過去ログを取得する（かどうか尋ねる）ようにした。
	* application/source/network/CMRDownloader.m
	* application/source/network/CMRThreadHTMLDownloader.m
	* application/source/thread/CMRThreadViewer-Download.m
	* frameworks/CocoMonar/framework/src/BathyScapheErrors.h
		したらば、まちBBSで、URL が間違っているか削除されたスレッドを開こうとした時のエラー処理を強化した。
2013-12-14 tsawada2 <tsawada2@users.sourceforge.jp>
	* application/source/bbs/BoardManager.m
	* application/source/browser/AddBoardSheetController.m
	* frameworks/CocoMonar/framework/src/CMRHostTypes.m
		「掲示板の追加」時の重複チェック時、および、サービスメニューや「URL を開く...」、URL リンククリック時のパース処理において、
		したらばの URL が jbbs.livedoor.jp でも jbbs.shitaraba.com でも同一視するようにした。
	* application/source/browser/BSSmartBoardUpdateTask.m
		掲示板がしたらばかどうか判定するロジックが常に NO を返していた問題を修正。
2013-12-12 tsawada2 <tsawada2@users.sourceforge.jp>
	* application/source/view/CMRThreadView.m
		10.9 で、スレッドの内容表示領域の Responsive Scrolling を無効にした。スクロール時の白抜け問題がこれで防止できるか？
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
	* application/source/view/popup/CMXPopUpWindowController+View.m
		テーマの背景にパターンイメージを使用している時でも、パターンイメージの色調の明暗に応じてスクローラーの色を自動的に調整するようにした。
		また、明暗の判定方法を簡潔にした。
		- http://qiita.com/1024jp/items/59b34a1cc6f34c5a5a3f の方法を参考にした ;-)
=================================================
2013-12-08 tsawada2 <tsawada2@users.sourceforge.jp>
	* application/source/window/CMRBrowserTbDelegate.m
	* application/source/window/CMRReplyControllerTbDelegate.m
	* application/source/window/CMRThreadViewerTbDelegate.m
	* application/Resources/ja.lproj/CMRBrowserTbItems.xib
	* application/Resources/ja.lproj/CMRReplyControllerTbItems.xib
	* application/Resources/ja.lproj/CMRThreadViewerTbItems.xib
		メモリリークの修正。
	* application/source/network/BSOfflaw2Downloader.h
	* application/source/network/BSOfflaw2Downloader.m
		[新規追加] offlaw2.so 経由でログをダウンロードするための CMRDATDownloader サブクラス。
	* application/Resources/ja.lproj/Downloader.strings
	* application/Resources/ja.lproj/ThreadViewer.strings
	* application/source/composer/CMR2chDATReader.m
	* application/source/network/BSLoggedInDATDownloader.m
	* application/source/network/CMRDATDownloader.m
	* application/source/thread/CMRThreadViewer-Download.m
	* frameworks/CocoMonar/framework/src/BathyScapheErrors.h
		２ちゃんねるでは、●で過去ログを取得するかどうか尋ねるかわりに offlaw2.so 経由で自動的に過去ログを
		取得することを試みるようにした。
	* application/source/thread/CMRThreadViewer.m
		不要コードの削除。
2013-12-05 tsawada2 <tsawada2@users.sourceforge.jp>
	* frameworks/SGFoundation/framework/source/classes/xml/SGXmlPullParser.m
	* frameworks/SGFoundation/framework/source/extensions/string/NSString+TEC.m
		ビルド警告対策の修正。
	* application/Resources/text/HostProperties.plist
	* frameworks/CocoMonar/framework/src/CMRHostTypes.m
		したらばのURL変更（http://blog.livedoor.jp/bbsnews/archives/54661274.html）に対応。
		jbbs.shitaraba.net もしたらばの URL として認識するようにした。
=================================================
2013-12-01 tsawada2 <tsawada2@users.sourceforge.jp>
	* application/source/thread/CMRThreadLayout.m
	* application/source/thread/CMRThreadViewer.m
		2013-11-30 の修正でデッドロックが発生する恐れがあった箇所を再修正。
		ハゲシク高速にスレッドを連続更新していくと新着レスを読み込まなくなることがある問題について、デバッグの結果
		対処療法的な処置を実施。根本原因はよくわからない。
2013-11-30 tsawada2 <tsawada2@users.sourceforge.jp>
	* application/Resources/ja.lproj/CMRTaskDescription.strings
	* application/source/thread/BSThreadComposingOperation.m
	* application/source/thread/BSThreadFileLoadingOperation.m
		スレッドのレイアウトの進捗状況表示が失われていたのを復活させた。
	* application/source/thread/CMRThreadViewer.m
	* application/source/thread/CMRThreadLayout.m
		スレッドのレイアウト時に、メインスレッドで実行する処理を最小限にした。
	* application/source/thread/CMRThreadLayoutTask.m
	* application/source/browser/BSThreadListTask.m
	* application/source/task/CMRTaskManager-Management.m
	* application/source/task/CMRTaskManager.m
	* frameworks/SGAppKit/framework/src/custom/container/SGContainerTableView.m
	* application/Resources/ja.lproj/CMRTaskItem.xib
		進行状況表示関連の処理で、マルチスレッド挙動安定対策を実施。また、メインスレッドで実行する処理を絞った。
		「進行状況」パネルの無駄な処理を削減した。
	* application/source/view/popup/CMXPopUpWindowController+View.m
		10.9 でポップアップの幅の計算が正しくないことがある問題を修正。
	* application/source/thread/BSThreadComposingOperation.h
	* application/source/thread/BSThreadComposingOperation.m
	* application/source/thread/BSThreadFileLoadingOperation.h
	* application/source/thread/BSThreadFileLoadingOperation.m
		[新規追加] スレッドのレイアウト処理を行う NSOperation のサブクラス。これまでの CMRThreadLayoutTask サブクラス群に換わるもの。
	* frameworks/SGFoundation/framework/source/base/collection/SGBaseRangeArray.m
	* application/source/thread/CMRThreadLayout.m
	* application/source/thread/CMRThreadViewer.m
	* application/source/browser/Browser.m
	* application/source/browser/CMRThreadsList.m
	* application/source/browser/BSDBThreadList.m
	* application/source/browser/CMRBrowser-List.m
		スレッドのレイアウト処理を NSOperationQueue + NSOperation で行うよう変更したことに伴う処理の変更。
		また、ブラウザのスレッド一覧の更新処理系は CMRThreadLayout から Browser クラスにワーカーを移動させた。
	* frameworks/CocoaOniguruma/framework/core/OnigRegexp.m
	* frameworks/SGFoundation/framework/source/classes/xml/SGXMLEntityReference.m
		メモリリークを修正。
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
		不要な import を削除。
2013-11-18 tsawada2 <tsawada2@users.sourceforge.jp>
	* application/source/view/BSNobiNobiToolbarItem.m
		不要な import を削除。
	* frameworks/SGAppKit/framework/src/custom/bathyscaphe/BSIconAndTextCell.m
		deprecated メソッドの使用を中止。これで、BathyScaphe 起動時にコンソールに WARNING が出る問題も解消。
2013-11-14 tsawada2 <tsawada2@users.sourceforge.jp>
	* application/Resources/Japanese.lproj
	* application/source/RBSplitSubview.h
	* application/source/RBSplitView.h
	* application/source/libRBSplitView.a
		[削除] 未使用につき削除。
	* IBPallete/
	* ibplugin/
		[削除] 未使用・今後も使用できないので、削除。
	* application/Resources/ja.lproj/BSTextFindBar.xib
	* application/source/view/BSFindBarViewController.m
	* application/source/view/BSSimpleBackgroundView.m
		[新規追加] 検索バーは手作りしなければならないようなので準備を開始した。
		必要な nib と、View Controller、カスタムビュークラス。
	* application/Resources/ja.lproj/MainMenu.xib
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
		OS 標準の検索バーはあまり役に立たないようなので使用停止にした。
		スレッドの背景にパターン画像を使っているとき、スクローラーの色が正しくない問題を修正した。
		10.8 SDK でのビルドに必要ない内容を削除した。
	* application/source/browser/CMRBrowser-Delegate.m
		掲示板リストを隠したときに、掲示板リストとスレッド一覧の境界線を表示しないようにした。
		- このことによる副作用として、「ウインドウの角が丸くならない」現象が起きなくなります。
	* application/source/thread/BSSearchOptions.m
	* application/source/thread/CMRThreadViewer-Find.m
	* application/source/thread/CMRThreadViewer.m
		内部構造の見直し、および、検索バーの準備。
	* application/source/thread/CMRThreadViewer-Action.m
		不要な import の削除。
2013-11-09 masakih <masakih@users.sourceforge.jp>
	* Makefile:
		xcworkspaceを使ったビルドに変更。
	* frameworks/CocoMonar/Makefile:
	* frameworks/SGFoundation/Makefile:
	* frameworks/SGAppKit/Makefile:
	* frameworks/Makefile:
	* metadataimporter/BathyScaphe/Makefile:
	* application/Makefile:
		[削除] 不要になったMakefileを削除
2013-11-04 tsawada2 <tsawada2@users.sourceforge.jp>
	* application/Resources/ja.lproj/MainMenu.xib
		「編集」＞「検索」＞「検索...」で検索バーを表示するように変更（まだ実験中の初期段階）。
	* application/source/CMRExports.h
	* application/source/browser/CMRBrowser-ViewAccessor.m
		不要になったコードを削除。
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
	* application/source/view/CMRThreadView.m
		10.9 の Responsive Scrolling を明示的に有効にした。
	* application/source/view/ThreadsListTable.m
		スレッド一覧の横方向スクロール時の弾性衝突的な効果（びよ〜んと跳ね返る感じのアレ）を無効にした。
		縦方向は有効のまま。
	* application/subproj/preference/font_color/BSFontWell.h
	* application/subproj/preference/font_color/BSFontWell.m
		[新規追加] 移動に伴い新規追加扱い。
	* ibplugin/BSFontWell/BSFontWell.h
	* ibplugin/BSFontWell/BSFontWell.m
		[削除] 移動に伴い削除扱い。
	* application/source/thread/CMRThreadViewer-Link.m
	* application/source/bbs/BoardListItem/BSWhereClauseCreator.m
	* application/Resources/ja.lproj/CMRReplyControllerTbItems.xib
	* misc/XspfMComponents/XspfMRuleEditorDelegate.m
		Xcode 5 のビルド警告対応修正。
=================================================
2013-11-03 tsawada2 <tsawada2@users.sourceforge.jp>
-- お知らせ ここから --
(1) svn の global-ignores について
~/.subversion/config ファイルにて、
global-ignores = build .DS_Store *.mode1v3 *.pbxuser xcuserdata project.xcworkspace
と記入して tsawada2 は運用しています。
さっきまで、最後は「*.xcworkspace」と記述してたんだけど、これだと BathyScaphe.xcworkspace（今回新規追加）も
無視されてしまうので、変更しました。

(2) Makefile について
Makefile でうまく make できなくなっているかもしれません。未確認。
-- お知らせ ここまで --
	* application/Resources/ja.lproj/Themes/default_memopad.plist
		Memopad テーマのフォント指定が消えていた問題を修正（10.8.5 で作業したときに消えてしまっていた）。
	* application/source/browser/BSThreadListTask.m
		10.9 で すでに _amount が -1 のときに -setAmount:-1 が呼び出されると、KVO でクラッシュすることがある
		みたいなので、とりあえず _amount の値が変化しないときは -setAmount: を呼び出さないようにして KVO 通知も
		飛ばさないようにしてみた。完全な対策かどうかは不明。
	* BathyScaphe.xcworkspace
	* BathyScaphe.xcworkspace/*
		[新規追加] ワークスペース。今後はこのファイルを Xcode で開けば関連プロジェクトをすべて一括してビルドできる。
		スキーム「All」を選択してビルドすると、フレームワーク類→プラグイン類→BathyScaphe の各ターゲット類→
		BathyScaphe.app まで一括してビルドできる。
	* application/BathyScaphe.xcodeproj/xcshareddata
	* application/BathyScaphe.xcodeproj/xcshareddata/*
	* frameworks/SGFoundation/SGFoundation.xcodeproj/xcshareddata
	* frameworks/SGFoundation/SGFoundation.xcodeproj/xcshareddata/*
	* metadataimporter/BathyScaphe/BathyScapheMDI.xcodeproj/xcshareddata
	* metadataimporter/BathyScaphe/BathyScapheMDI.xcodeproj/xcshareddata/*
	* frameworks/CocoMonar/CMF.xcodeproj/xcshareddata
	* frameworks/CocoMonar/CMF.xcodeproj/xcshareddata/*
	* dat-qlgenerator/dat.xcodeproj/xcshareddata
	* dat-qlgenerator/dat.xcodeproj/xcshareddata/*
	* frameworks/CocoaOniguruma/framework/CocoaOniguruma.xcodeproj/xcshareddata
	* frameworks/CocoaOniguruma/framework/CocoaOniguruma.xcodeproj/xcshareddata/*
	* frameworks/SGAppKit/SGAppKit.xcodeproj/xcshareddata
	* frameworks/SGAppKit/SGAppKit.xcodeproj/xcshareddata/*
		[新規追加] ワークスペース（BathyScaphe.xcworkspace）作成に伴う内部データの追加。
	* frameworks/CocoaOniguruma/framework/CocoaOniguruma.xcodeproj/project.xcworkspace
	* frameworks/CocoaOniguruma/framework/CocoaOniguruma.xcodeproj/project.xcworkspace/*
		[削除] 本来コミットすべきでないものがコミットされていたので、削除。
	* application/BathyScaphe.xcodeproj/project.pbxproj
	* dat-qlgenerator/dat.xcodeproj/project.pbxproj
	* frameworks/CocoMonar/CMF.xcodeproj/project.pbxproj
	* frameworks/CocoaOniguruma/framework/CocoaOniguruma.xcodeproj/project.pbxproj
	* frameworks/SGAppKit/SGAppKit.xcodeproj/project.pbxproj
	* frameworks/SGFoundation/SGFoundation.xcodeproj/project.pbxproj
	* metadataimporter/BathyScaphe/BathyScapheMDI.xcodeproj/project.pbxproj
		ワークスペース（BathyScaphe.xcworkspace）作成に伴うビルド設定の見直し、ファイルパスの見直し。
		SDKを10.8に引き上げ。
		デプロイメントターゲットを10.7に引き上げ。
		Build Configuration の名前を Debug/Release に統一（Development/Deployment は廃止）。
	* docs/old_changelog/changelog_until_Kazusa-Ushiku.txt
		[新規追加] 以前の changelog ファイル。
	* changelog.txt
		サイズが大きくなってきたので docs/old_changelog 下に移動します。
================================================= 2.4(v555) / Kazusa-Ushiku / svn Tag : v240_FINAL
